Opened 4 years ago

Closed 3 years ago

Last modified 3 years ago

#1781 closed Task (fixed)

2016WP/CONFIGMAN-1

Reported by: jpaul Owned by: jpaul
Priority: low Milestone:
Component: tools Version: trunk
Severity: Keywords:
Cc: Review:
MP ready?:
Progress:

Description

Context

CONFIGMAN-1 SIREN improvement and robustness

Implementation

-test SIREN code (working group members and maybe some external users)
-extract from NEMO the meshmask creation (Mercator-Océan)
-main program (python) to manage all SIREN codes (Mercator-Océan)
-improve documentation readibility, and add tutorial (Mercator-Océan)

wiki :
http://forge.ipsl.jussieu.fr/nemo/wiki/2016WP/%20CONFIGMAN-1_PAUL

branches:
/nemo/svn/branches/2016/dev_r6999_CONFIGMAN_1

Commit History (5)

ChangesetAuthorTimeChangeLog
7235jpaul2016-11-16T11:40:55+01:00

see ticket #1781

7233jpaul2016-11-15T17:44:18+01:00

see ticket #1781

7153jpaul2016-10-28T11:13:57+02:00

see ticket #1781

7025jpaul2016-10-13T11:08:38+02:00

see ticket #1781

7001jpaul2016-10-06T11:16:03+02:00

create development branche. see ticket #1781

Change History (7)

comment:1 Changed 4 years ago by jpaul

committed revision 7025 on branches/2016/dev_r6999_CONFIGMAN_1

## New Features

  • create_meshmask.F90 program to create meshmask from coordinates and bathymetry files.

## Changes

  • create_coord.F90: allow to define sub domain with coarse grid indices or coordinates.
  • grid.F90:grid__get_closest_str: add function to get closest grid point using coarse grid coordinates strucutre.
  • iom.F90:iom_open: open cdf4 file as cdf

## Bug fixes

  • boundary.F90:boundary_check: take into account that boundaries are compute on T point, but expressed on U,V point

comment:2 Changed 4 years ago by jpaul

committed revision 7026 on branches/2016/dev_r6999_CONFIGMAN_1

## New Features

  • merge_bathy.f90: allow to choose the number of boundary point with coarse grid value.

comment:3 Changed 4 years ago by jpaul

committed revision 7153 on branches/2016/dev_r6999_CONFIGMAN_1

## New Features

  • dimension.f90: dimension allowed read in configuration file.
  • create_meshmask.f90: allow to write domain_cfg file

## Changes

  • variable.f90: add subroutine to clean global array of extra information, and define logical for variable to be used.
  • create_coord.f90: dimension to be used select from configuration file
  • create_bathy.f90: dimension to be used select from configuration file
  • merge_bathy.f90: dimension to be used select from configuration file
  • create_boundary.f90: dimension to be used select from configuration file
  • create_restart.f90: dimension to be used select from configuration file
  • create_meshmask.f90: do not use anymore special case for ORCA grid
  • grid_hgr.f90: do not use anymore special case for ORCA grid
  • grid_zgr.f90: do not use anymore special case for ORCA grid

## Bug fixes

  • grid.f90:grid__get_closest_str: use max of zero and east-west overlap instead of east-west overlap

comment:4 Changed 4 years ago by jpaul

committed revision 7233 on branches/2016/dev_r6999_CONFIGMAN_1

## New Features

  • variable.f90: allow to add scalar value
  • create_meshmask.f90: choose vertical scale factors (e3.=dk[depth] or old definition)

## Bug fixes

  • mpp.f90: compare index to td_lay number of proc instead of td_mpp (bug fix)

comment:5 Changed 4 years ago by jpaul

committed revision 7235 on branches/2016/dev_r6999_CONFIGMAN_1

## New Features

  • add pdf documentation in doc directory

## Changes

  • update documentation

comment:6 Changed 3 years ago by cbricaud

  • Resolution set to fixed
  • Status changed from new to closed

comment:7 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.